My Project: Vector Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
Vector Class Reference

`#include <geom.h>`

## Public Member Functions

| Vector ()
| Vector (float x, float y, float z)
| operator float * ()
| operator const float * ()
float & | operator[] (int n)
float | operator[] (int n) const
Vector | operator- () const
Vector | operator* (float scale) const
Vector | operator* (const Vector &q) const
Vector | operator/ (float scale) const
Vector | operator/ (const Vector &q) const
Vector | operator+ (const Vector &q) const
Vector | operator- (const Vector &q) const
Vector & | operator*= (float scale)
Vector & | operator*= (const Vector &q)
Vector & | operator/= (float scale)
Vector & | operator/= (const Vector &q)
Vector & | operator+= (const Vector &q)
Vector & | operator-= (const Vector &q)
bool | operator< (const Vector &q) const
bool | operator== (const Vector &q) const
bool | operator!= (const Vector &q) const
float | dot (const Vector &q) const
Vector | cross (const Vector &q) const
float | length () const
float | distance (const Vector &q) const
Vector | normalized () const
void | normalize ()
float | yaw () const
float | pitch () const
void | clear ()

## Public Attributes

float | x
float | y
float | z

## Constructor & Destructor Documentation

## § Vector() [1/2]

Vector::Vector | ( |  | ) |

inline

## § Vector() [2/2]

Vector::Vector | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

inline

## Member Function Documentation

## § clear()

void Vector::clear | ( |  | ) |

inline

## § cross()

Vector Vector::cross | ( | const Vector & | q | ) | const

inline

## § distance()

float Vector::distance | ( | const Vector & | q | ) | const

inline

## § dot()

float Vector::dot | ( | const Vector & | q | ) | const

inline

## § length()

float Vector::length | ( |  | ) | const

inline

## § normalize()

void Vector::normalize | ( |  | ) |

inline

## § normalized()

Vector Vector::normalized | ( |  | ) | const

inline

## § operator const float *()

Vector::operator const float * | ( |  | ) |

inline

## § operator float *()

Vector::operator float * | ( |  | ) |

inline

## § operator!=()

bool Vector::operator!= | ( | const Vector & | q | ) | const

inline

## § operator*() [1/2]

Vector Vector::operator* | ( | float | scale | ) | const

inline

## § operator*() [2/2]

Vector Vector::operator* | ( | const Vector & | q | ) | const

inline

## § operator*=() [1/2]

Vector& Vector::operator*= | ( | float | scale | ) |

inline

## § operator*=() [2/2]

Vector& Vector::operator*= | ( | const Vector & | q | ) |

inline

## § operator+()

Vector Vector::operator+ | ( | const Vector & | q | ) | const

inline

## § operator+=()

Vector& Vector::operator+= | ( | const Vector & | q | ) |

inline

## § operator-() [1/2]

Vector Vector::operator- | ( |  | ) | const

inline

## § operator-() [2/2]

Vector Vector::operator- | ( | const Vector & | q | ) | const

inline

## § operator-=()

Vector& Vector::operator-= | ( | const Vector & | q | ) |

inline

## § operator/() [1/2]

Vector Vector::operator/ | ( | float | scale | ) | const

inline

## § operator/() [2/2]

Vector Vector::operator/ | ( | const Vector & | q | ) | const

inline

## § operator/=() [1/2]

Vector& Vector::operator/= | ( | float | scale | ) |

inline

## § operator/=() [2/2]

Vector& Vector::operator/= | ( | const Vector & | q | ) |

inline

## § operator<()

bool Vector::operator< | ( | const Vector & | q | ) | const

inline

## § operator==()

bool Vector::operator== | ( | const Vector & | q | ) | const

inline

## § operator[]() [1/2]

float& Vector::operator[] | ( | int | n | ) |

inline

## § operator[]() [2/2]

float Vector::operator[] | ( | int | n | ) | const

inline

## § pitch()

float Vector::pitch | ( |  | ) | const

inline

## § yaw()

float Vector::yaw | ( |  | ) | const

inline

## Member Data Documentation

## § x

float Vector::x

## § y

float Vector::y

## § z

float Vector::z

The documentation for this class was generated from the following file:

- openb3dlib.mod/openb3d/src/geom.h